const filters = {
  // 金钱显示，保留两位小数
  money(num) {
    if (num == null) {
      return num;
    }
    return num.toFixed(2);
  },
  fix3(num) {
    if (num == null) {
      return num;
    }
    return num.toFixed(3);
  },
  fix2(num) {
    if (num == null) {
      return num;
    }
    return num.toFixed(2);
  },
  // 缺省值
  defaultValue(data) {
    return data == null ? '--' : data;
  },
  // 缺省值
  dv(data) {
    return filters.defaultValue(data);
  }
}
export default (vm) => {
  Object.keys(filters).forEach(key => {
    vm.filter(key, filters[key])
  })
}
